org.eclipse.ease

## Interface IScriptable

    public interface IScriptable

Generic interface for a scriptable object. Allows to provide adapters for any kind of object.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.io.InputStream` `getSourceCode()` Get input stream containing source code.

### Method Detail

#### getSourceCode

    java.io.InputStream getSourceCode()
                               throws java.lang.Exception

Get input stream containing source code.

Returns:
  source code as `InputStream`
Throws:
  `java.lang.Exception` - when inputStream cannot be created